TAAS - Feature #124

Credit Approve
01/10/2023 10:22 AM - Anil KV

Status: Reopen Bugs Testing Done Start date: 01/30/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Credit Limit

Description

Coding Credit Approve

Resign -> Karthika

History

#1 - 01/10/2023 01:39 PM - Anil KV

- Assignee set to Junaid M

#2 - 01/12/2023 10:22 AM - Junaid M
- Assignee changed from Junaid M to Muhasin PU

#3 - 01/30/2023 03:52 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- Assignee changed from Muhasin PU to Karthika V Anand
- % Done changed from 0 to 10

#4 - 01/30/2023 04:06 PM - Karthika V Anand
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#5 - 01/30/2023 04:08 PM - Karthika V Anand
- Start date changed from 01/10/2023 to 01/30/2023

#6 - 02/14/2023 09:34 PM - Junaid M
- File Sql-CREDIT-APPROVAL.sql added

#7 - 02/21/2023 04:41 PM - Karthika V Anand
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#8 - 02/23/2023 11:42 AM - Karthika V Anand
- Status changed from Coding Done to Reopen Bugs Coding Done

#9 - 03/17/2023 04:59 PM - Amal Cyriac

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUNDED *****
1.Disable search button while edit mode
2.Approve & Reject buttons must be disable after reset

#10 - 03/20/2023 10:49 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 03/20/2023 05:47 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND ****

1.Need Approval set as default on Selection Box
(Status)

2.Fix bugs on grid

(Displaying NaN while reject doc.)

3.Fix errors while Reject/Approve

#12 - 03/21/2023 10:26 AM - Karthika V Anand

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 03/31/2023 04:41 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Prevent auto completion from other accounts

(Party - Selection box- Set as only Supplier & Customer)
2.Fix bugs on Approve & Reject Buttons

(Buttons disable while Approve/Reject)

#14 - 04/01/2023 12:10 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 04/11/2023 04:34 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Cant approve/reject credit - NaN error on grid
2.Commission agent not showing on grid

#16 - 04/17/2023 11:13 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 04/18/2023 12:09 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set proper validations on Approve & Reject buttons
(Approve button become disabled while tap on Reject)
2.Set proper alerts messages

#18 - 04/19/2023 12:45 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 04/20/2023 04:17 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Prevent Approve/Reject on Credit Approve by more thanone user
at atime

2.Set proper space between CODE & NAME

(selection box)

#20 - 04/28/2023 04:44 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 05/03/2023 05:47 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set defaults on GUI

(Branch , Department)
2.Amounts must be align to right

#22 - 05/04/2023 10:39 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#23 - 05/09/2023 06:32 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Prevent Approve/Reject on Credit Approve by more than one user
at atime

2.Fix bugs on default Branch & Department

(While Reset)

#24 - 07/21/2023 12:52 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#25 - 09/03/2023 06:01 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED
1.Not Showing Amount Of The Customer, Supplier Actual Side Without Choosing Act Us Cheque Box

#26 - 09/04/2023 10:57 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#27 - 09/04/2023 02:00 PM - unnikannan S
TESTING DONE

#28 - 10/07/2023 05:26 PM - Junaid M
- Assignee changed from Karthika V Anand to Vivekp V

#29 - 12/07/2023 01:02 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD VALIDATION FOR MANDATORY FIELD BRANCH

#30 - 12/07/2023 07:51 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.ADD VALIDATION FOR MANDATORY FIELD BRANCH

#31 - 12/08/2023 09:47 AM - unnikannan S
TESTING DONE

#32 - 01/19/2024 02:58 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CLEAR THOSE ACCOUNTS FROM LIST IF THERE CREDIT LIMIT IS CLEARED FROM THE Ul

#33 - 01/20/2024 05:11 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.CLEAR THOSE ACCOUNTS FROM LIST IF THERE CREDIT LIMIT IS CLEARED FROM THE UI

#34 - 03/21/2024 01:00 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.FIX BUGS ON GRID WHILE ZOOM IN

#35 - 03/21/2024 04:12 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70
ISSUE FIXED

1.FIX BUGS ON GRID WHILE ZOOM IN

#36 - 03/22/2024 10:07 AM - unnikannan S
TESTING DONE

#37 - 04/18/2024 10:44 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Limit Data Per Page 20 Pagination (Refer Posting Approve)

#38 - 04/18/2024 10:58 AM - Vivekp V
ISSUE FIXED

1.Limit Data Per Page 20 Pagination (Refer Posting Approve)

#39 - 04/18/2024 10:58 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#40 - 04/18/2024 04:15 PM - unnikannan S
TESTING DONE

#41 - 09/12/2024 05:12 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

Add an field to approve extra credit on counter staff

New Changes

changes in filter constraints

change party Label to drop down
labels:

customer

supplier

counter staff (non linked Ac)
counter Staff (linked Ac)

add a new multi select box right side of party
all default tick

label: consider

data:

customer

supplier

counter staff (Non Linked Ac)

counter Staff (Linked Ac)

#42 - 10/11/2024 10:15 AM - Anil KV

- Assignee changed from Vivekp V to Augustin Jose

#43 - 10/15/2024 11:45 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#44 - 11/14/2024 10:15 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. No translation for customer field.
2. Align the assigned user label properly.

2. Can't select different options from the customer drop down.-----> blocker to test new changes.

#45 - 11/14/2024 11:13 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#46 - 01/09/2025 12:10 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#47 - 01/09/2025 12:29 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)Deleted credit limit is showing

#48 - 01/11/2025 10:07 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#49 - 01/11/2025 11:24 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

2-tsModel.ts 1.62 KB 01/30/2023 Junaid M
1-CsModel.cs 2.65 KB 01/30/2023 Junaid M
4-CsControllerFile.cs 24.6 KB 01/30/2023 Junaid M
3-CsFile.cs 10.2 KB 01/30/2023 Junaid M
5-TsFile.ts 13.9 KB 01/30/2023 Junaid M
6-HtmiFile.html 1.9 KB 01/30/2023 Junaid M
sql.sql 4.06 KB 01/30/2023 Junaid M
Sql-CREDIT-APPROVAL.sql 2.94 KB 02/14/2023 Junaid M
